Bug 75023 - htmlview needs a man/web page
htmlview needs a man/web page
Product: Red Hat Linux
Classification: Retired
Component: htmlview (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-10-03 15:59 EDT by Chris Hubick
Modified: 2013-04-02 00:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-25 03:30:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Hubick 2002-10-03 15:59:03 EDT
It would nice if htmlview had a minimal little web page somewhere or even
better, a tiny man page, that told what you can place in your /etc/htmlview.conf
or ~/.htmlviewrc file to change your browser selection.  Searching for
"htmlviewrc" on google gives only the RPM, and "man htmlview" nothing either. 
Grovelling through shell scripts to figure out what I am expected to do has
never been my cup of tea :-)

FYI for anyone else cluelessly reading, placing a line:
export X11BROWSER=/usr/local/mozilla/mozilla
in /etc/htmlview.conf seemed to get me started.

Though I still don't understand how if I have a Mozilla instance 'A' running,
and I then click on a link in Evolution, I get a new window like I want, whereas
if I were to then execute htmlview directly it tries to launch a new instance (
which won't work, correctly, because of shared profile checks in the new Mozilla
builds).  I would think htmlview would take care of this (?).  It could use some
documentation so you could tell me to RTFM :-)
Comment 1 Thomas Smith 2002-10-16 02:25:57 EDT
I second this because of a very frustrating problem with KDE file association
that left me fumbling in the dark with regard to htmlview. I will put in a
separate bug report for this. However, having run htmlview from the KDE menu (as
Internet -> Web Browser) and from the command line:

htmlview [some url]

I do not have either of the files:


Reported by Chris.
Comment 2 Mike A. Harris 2002-11-01 17:41:25 EST
Feel free to submit a manpage, and I'll review it for possible inclusion
in future htmlview releases.
Comment 3 Mike A. Harris 2002-12-30 08:51:55 EST
Defering until I don't have higher priority tasks to complete.
Comment 4 Warren Togami 2005-04-25 03:30:29 EDT
Nobody cared enough to actually do this so closing WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.